%version 4.0: J=1.3370
  clear all;
  %DATA.N: last cell=root 
  global DATA;
  
  more off; %do not store in cache
  
  %*** nelder-mead simplex stopping condition:
  maxit = 30000;
  xtol = 1e-2;
  
  %*** init all biological and monod parameters + initial state:
  initdata;

  B=getdata;
  U0=B; %set initdata
  

  %*** Initial set:
%B=load('bestin_16.dat'); 
%U0=(B(end,:))';
  
  n = size(U0,1);

   %*** set intervals for parameters:

%Progress Note first optimisation use .01*U0(20:29) and 100*U0(20:29)
DATA.ParamMinMax(1:n,1) =[.01*U0(1:3);.01*U0(4:18);0.01*U0(19);.01*U0(20:29);.2*U0(30)];
DATA.ParamMinMax(1:n,2) =[100*U0(1:3); 100*U0(4:18); 10*U0(19);100*U0(20:29);5*U0(30)];


%*** started with fixed for Hill:
  %pfixe = [2 3 6 7 8 11 15 22 25 28]; %Parameter not used pin
  %*** set fixed parameters:
  pfixe = [22 25 28]; %Parameter not used pin





  DATA.ParamMinMax(pfixe,1) = B(pfixe);
  DATA.ParamMinMax(pfixe,2) = B(pfixe);
  %U0(pfixe)=B(pfixe); %security
  
  %*** set active parameters:
  pActive = find(DATA.ParamMinMax(:,1)<DATA.ParamMinMax(:,2));
  nparam = length(pActive);
  
 %*** time discretisation:
 dtime = DATA.dtime; 
 

 
 %*** open files: for pareto
%fnameres1 = 'res.dat';
%fidres1 = fopen(fnameres1,'wt');

Wtarget = ones(3,DATA.N); %*** weight associed to the target solution
Wexp1a(1:3,1:DATA.N) = 1;  %*** weight for experiment CL75 Col0 (1: 0.01; 5: 0.2)
Wexp1b(1:3,1:DATA.N) = 1;  %*** weight for experiment CL75 pin3.5 (1: 0.03)
Wexp1c(1:3,1:DATA.N) = 1;  %*** weight for experiment CL75 abcb1/19
Wexp1d(1:3,1:DATA.N) = 1;  %*** weight for experiment CL75 sav3
Wexp2a(1:3,1:DATA.N) = 1;  %*** weight for experiment LD130 Col0
Wexp2b(1:3,1:DATA.N) = 1;  %*** weight for experiment LD130 pin3.5
Wexp2c(1:3,1:DATA.N) = 1;  %*** weight for experiment LD130 abcb1/19
Wexp2d(1:3,1:DATA.N) = 1;  %*** weight for experiment LD130 sav3
Wexp3a(1:3,1:DATA.N) = 1;  %*** weight for experiment CL130 Col0
Wexp3b(1:3,1:DATA.N) = 1;  %*** weight for experiment CL130 pin3.5
Wexp3c(1:3,1:DATA.N) = 1;  %*** weight for experiment CL130 abcb1/19
Wexp3d(1:3,1:DATA.N) = 1;  %*** weight for experiment CL130 sav3
Wexp4a(1:3,1:DATA.N) = 1;  %*** weight for experiment LD75 Col0 
Wexp4b(1:3,1:DATA.N) = 1;  %*** weight for experiment LD75 pin3.5 
Wexp4c(1:3,1:DATA.N) = 1;  %*** weight for experiment LD75 abcb1/19
Wexp4d(1:3,1:DATA.N) = 1;  %*** weight for experiment LD75 sav3

%Weight for FR !!!!!
Wexp1a(3,1:DATA.N) = 1;  %*** weight for experiment CL75 Col0 (1: 0.01; 5: 0.2)
Wexp1b(3,1:DATA.N) = 1;  %*** weight for experiment CL75 pin3.5 (1: 0.03)
Wexp1c(3,1:DATA.N) = 1;  %*** weight for experiment CL75 abcb1/19
Wexp1d(3,1:DATA.N) = 1;  %*** weight for experiment CL75 sav3
Wexp2a(3,1:DATA.N) = 1;  %*** weight for experiment LD130 Col0
Wexp2b(3,1:DATA.N) = 1;  %*** weight for experiment LD130 pin3.5
Wexp2c(3,1:DATA.N) = 1;  %*** weight for experiment LD130 abcb1/19
Wexp2d(3,1:DATA.N) = 1;  %*** weight for experiment LD130 sav3
Wexp3a(3,1:DATA.N) = 1;  %*** weight for experiment CL130 Col0
Wexp3b(3,1:DATA.N) = 1;  %*** weight for experiment CL130 pin3.5
Wexp3c(3,1:DATA.N) = 1;  %*** weight for experiment CL130 abcb1/19
Wexp3d(3,1:DATA.N) = 1;  %*** weight for experiment CL130 sav3
Wexp4a(3,1:DATA.N) = 1;  %*** weight for experiment LD75 Col0 
Wexp4b(3,1:DATA.N) = 1;  %*** weight for experiment LD75 pin3.5 
Wexp4c(3,1:DATA.N) = 1;  %*** weight for experiment LD75 abcb1/19
Wexp4d(3,1:DATA.N) = 1;  %*** weight for experiment LD75 sav3

%*** first run:
DATA.Xtarget = [];
DATA.Wtarget = [];
  
%----------------------------------------------------------------------------------------------------------------------------   
%CL 75uE
%*** Experimental dataset for DATA.A_pKO1_2  (Col0)
A_pKO1_2=DATA.A_pKO1_2;  
ecA_pKO1_2=DATA.ecA_pKO1_2;
%*** Experimental dataset for DATA.A_pKO1  (pin3)
B_pKO1=DATA.B_pKO1;  
ecB_pKO1=DATA.ecB_pKO1;
%*** Experimental dataset for DATA.C_pKO2   (abcb)
C_pKO2=DATA.C_pKO2;
ecC_pKO2=DATA.ecC_pKO2;
%*** Experimental dataset for DATA.D_pKO9   (sav3)
D_pKO9=DATA.D_pKO9;
ecD_pKO9=DATA.ecD_pKO9;

%LD 130uE
%*** Experimental dataset for DATA.A_pKO3  (Col0)
A_pKO3=DATA.A_pKO3;  
ecA_pKO3=DATA.ecA_pKO3;
%*** Experimental dataset for DATA.B_pKO3  (pin3.5)
B_pKO3=DATA.B_pKO3;  
ecB_pKO3=DATA.ecB_pKO3;
%*** Experimental dataset for DATA.C_pKO3   (abcb1/abcb19)
C_pKO3=DATA.C_pKO3;
ecC_pKO3=DATA.ecC_pKO3;
%*** Experimental dataset for DATA.C_pKO3   (abcb1/abcb19)
D_pKO3=DATA.D_pKO3;
ecD_pKO3=DATA.ecD_pKO3;

%CL 130uE
%*** Experimental dataset for DATA.A_pKO8  (Col0)
A_pKO8=DATA.A_pKO8;  
ecA_pKO8=DATA.ecA_pKO8;
%*** Experimental dataset for DATA.B_pKO8  (pin3.5)
B_pKO8=DATA.B_pKO8;  
ecB_pKO8=DATA.ecB_pKO8;
%*** Experimental dataset for DATA.C_pKO8   (abcb1/abcb19)
C_pKO8=DATA.C_pKO8;
ecC_pKO8=DATA.ecC_pKO8;
%*** Experimental dataset for DATA.C_pKO8   (abcb1/abcb19)
D_pKO8=DATA.D_pKO8;
ecD_pKO8=DATA.ecD_pKO8;

%LD 75uE
%*** Experimental dataset for DATA.A_pKO1_2  (Col0)
A_pKO5=DATA.A_pKO5;  
ecA_pKO5=DATA.ecA_pKO5;
%*** Experimental dataset for DATA.A_pKO1  (pin3)
B_pKO5=DATA.B_pKO5;  
ecB_pKO5=DATA.ecB_pKO5;
%*** Experimental dataset for DATA.C_pKO5   (abcb)
C_pKO5=DATA.C_pKO5;
ecC_pKO5=DATA.ecC_pKO5;
%*** Experimental dataset for DATA.D_pKO5   (sav3)
D_pKO5=DATA.D_pKO5;
ecD_pKO5=DATA.ecD_pKO5;

 T = 0:DATA.dtime:DATA.Tsim;
 ntime = length(T);

 % ---Col0: CL 75uE white light
 DATA.Xtarget{1}= ones(3,DATA.N);
 DATA.Wtarget{1}= Wtarget;
 DATA.Xtarget{1}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{1}(1,1:DATA.N) = A_pKO1_2(1,1:DATA.N);
 DATA.Wtarget{1}(1,1:DATA.N) = 1+log10(A_pKO1_2(1,1:DATA.N)./ecA_pKO1_2(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{1}(2,1:DATA.N) = A_pKO1_2(2,1:DATA.N);
 DATA.Wtarget{1}(2,1:DATA.N) = 1+log10(A_pKO1_2(2,1:DATA.N)./ecA_pKO1_2(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{1}(3,1:DATA.N) = A_pKO1_2(3,1:DATA.N);
 DATA.Wtarget{1}(3,1:DATA.N) = 1+log10(A_pKO1_2(3,1:DATA.N)./ecA_pKO1_2(3,1:DATA.N));
 
 % ---pin3.5: CL 75uE white light
 DATA.Xtarget{2}= ones(3,DATA.N);
 DATA.Wtarget{2}= Wtarget;
 DATA.Xtarget{2}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{2}(1,1:DATA.N) = B_pKO1(1,1:DATA.N);
 DATA.Wtarget{2}(1,1:DATA.N) = 1+log10(B_pKO1(1,1:DATA.N)./ecB_pKO1(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{2}(2,1:DATA.N) = B_pKO1(2,1:DATA.N);
 DATA.Wtarget{2}(2,1:DATA.N) = 1+log10(B_pKO1(2,1:DATA.N)./ecB_pKO1(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{2}(3,1:DATA.N) = B_pKO1(3,1:DATA.N);
 DATA.Wtarget{2}(3,1:DATA.N) = 1+log10(B_pKO1(3,1:DATA.N)./ecB_pKO1(3,1:DATA.N));
 
 % ---abcb1/abcb19: CL 75uE white light
 DATA.Xtarget{3}= ones(3,DATA.N);
 DATA.Wtarget{3}= Wtarget;
 DATA.Xtarget{3}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{3}(1,1:DATA.N) = C_pKO2(1,1:DATA.N);
 DATA.Wtarget{3}(1,1:DATA.N) = 1+log10(C_pKO2(1,1:DATA.N)./ecC_pKO2(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{3}(2,1:DATA.N) = C_pKO2(2,1:DATA.N);
 DATA.Wtarget{3}(2,1:DATA.N) = 1+log10(C_pKO2(2,1:DATA.N)./ecC_pKO2(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{3}(3,1:DATA.N) = C_pKO2(3,1:DATA.N);
 DATA.Wtarget{3}(3,1:DATA.N) = 1+log10(C_pKO2(3,1:DATA.N)./ecC_pKO2(3,1:DATA.N));
 
% ---sav3: CL 75uE white light
 DATA.Xtarget{4}= ones(3,DATA.N);
 DATA.Wtarget{4}= Wtarget;
 DATA.Xtarget{4}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{4}(1,1:DATA.N) = D_pKO9(1,1:DATA.N);
 DATA.Wtarget{4}(1,1:DATA.N) = 1+log10(D_pKO9(1,1:DATA.N)./ecD_pKO9(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{4}(2,1:DATA.N) = D_pKO9(2,1:DATA.N);
 DATA.Wtarget{4}(2,1:DATA.N) = 1+log10(D_pKO9(2,1:DATA.N)./ecD_pKO9(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{4}(3,1:DATA.N) = D_pKO9(3,1:DATA.N);
 DATA.Wtarget{4}(3,1:DATA.N) = 1+log10(D_pKO9(3,1:DATA.N)./ecD_pKO9(3,1:DATA.N));

%&&&&&&&&&&
% ---Col0: LD 130uE white light
 DATA.Xtarget{5}= ones(3,DATA.N);
 DATA.Wtarget{5}= Wtarget;
 DATA.Xtarget{5}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{5}(1,1:DATA.N) = A_pKO3(1,1:DATA.N);
 DATA.Wtarget{5}(1,1:DATA.N) = 1+log10(A_pKO3(1,1:DATA.N)./ecA_pKO3(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{5}(2,1:DATA.N) = A_pKO3(2,1:DATA.N);
 DATA.Wtarget{5}(2,1:DATA.N) = 1+log10(A_pKO3(2,1:DATA.N)./ecA_pKO3(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{5}(3,1:DATA.N) = A_pKO3(3,1:DATA.N);
 DATA.Wtarget{5}(3,1:DATA.N) = 1+log10(A_pKO3(3,1:DATA.N)./ecA_pKO3(3,1:DATA.N));
 
 % ---pin3.5: LD 130uE white light
 DATA.Xtarget{6}= ones(3,DATA.N);
 DATA.Wtarget{6}= Wtarget;
 DATA.Xtarget{6}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{6}(1,1:DATA.N) = B_pKO3(1,1:DATA.N);
 DATA.Wtarget{6}(1,1:DATA.N) = 1+log10(B_pKO3(1,1:DATA.N)./ecB_pKO3(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{6}(2,1:DATA.N) = B_pKO3(2,1:DATA.N);
 DATA.Wtarget{6}(2,1:DATA.N) = 1+log10(B_pKO3(2,1:DATA.N)./ecB_pKO3(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{6}(3,1:DATA.N) = B_pKO3(3,1:DATA.N);
 DATA.Wtarget{6}(3,1:DATA.N) = 1+log10(B_pKO3(3,1:DATA.N)./ecB_pKO3(3,1:DATA.N));
 
 % ---abcb1/abcb19: LD 130uE white light
 DATA.Xtarget{7}= ones(3,DATA.N);
 DATA.Wtarget{7}= Wtarget;
 DATA.Xtarget{7}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{7}(1,1:DATA.N) = C_pKO3(1,1:DATA.N);
 DATA.Wtarget{7}(1,1:DATA.N) = 1+log10(C_pKO3(1,1:DATA.N)./ecC_pKO3(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{7}(2,1:DATA.N) = C_pKO3(2,1:DATA.N);
 DATA.Wtarget{7}(2,1:DATA.N) = 1+log10(C_pKO3(2,1:DATA.N)./ecC_pKO3(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{7}(3,1:DATA.N) = C_pKO3(3,1:DATA.N);
 DATA.Wtarget{7}(3,1:DATA.N) = 1+log10(C_pKO3(3,1:DATA.N)./ecC_pKO3(3,1:DATA.N));

 % ---sav3: LD 130uE white light
 DATA.Xtarget{8}= ones(3,DATA.N);
 DATA.Wtarget{8}= Wtarget;
 DATA.Xtarget{8}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{8}(1,1:DATA.N) = D_pKO3(1,1:DATA.N);
 DATA.Wtarget{8}(1,1:DATA.N) = 1+log10(D_pKO3(1,1:DATA.N)./ecD_pKO3(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{8}(2,1:DATA.N) = D_pKO3(2,1:DATA.N);
 DATA.Wtarget{8}(2,1:DATA.N) = 1+log10(D_pKO3(2,1:DATA.N)./ecD_pKO3(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{8}(3,1:DATA.N) = D_pKO3(3,1:DATA.N);
 DATA.Wtarget{8}(3,1:DATA.N) = 1+log10(D_pKO3(3,1:DATA.N)./ecD_pKO3(3,1:DATA.N));
%&&&&&&&&&&&&&&&& 

%&&&&&&&&&&
% ---Col0: CL 130uE white light
 DATA.Xtarget{9}= ones(3,DATA.N);
 DATA.Wtarget{9}= Wtarget;
 DATA.Xtarget{9}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{9}(1,1:DATA.N) = A_pKO8(1,1:DATA.N);
 DATA.Wtarget{9}(1,1:DATA.N) = 1+log10(A_pKO8(1,1:DATA.N)./ecA_pKO8(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{9}(2,1:DATA.N) = A_pKO8(2,1:DATA.N);
 DATA.Wtarget{9}(2,1:DATA.N) = 1+log10(A_pKO8(2,1:DATA.N)./ecA_pKO8(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{9}(3,1:DATA.N) = A_pKO8(3,1:DATA.N);
 DATA.Wtarget{9}(3,1:DATA.N) = 1+log10(A_pKO8(3,1:DATA.N)./ecA_pKO8(3,1:DATA.N));
 
 % ---pin3.5: CL 130uE white light
 DATA.Xtarget{10}= ones(3,DATA.N);
 DATA.Wtarget{10}= Wtarget;
 DATA.Xtarget{10}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{10}(1,1:DATA.N) = B_pKO8(1,1:DATA.N);
 DATA.Wtarget{10}(1,1:DATA.N) = 1+log10(B_pKO8(1,1:DATA.N)./ecB_pKO8(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{10}(2,1:DATA.N) = B_pKO8(2,1:DATA.N);
 DATA.Wtarget{10}(2,1:DATA.N) = 1+log10(B_pKO8(2,1:DATA.N)./ecB_pKO8(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{10}(3,1:DATA.N) = B_pKO8(3,1:DATA.N);
 DATA.Wtarget{10}(3,1:DATA.N) = 1+log10(B_pKO8(3,1:DATA.N)./ecB_pKO8(3,1:DATA.N));
 
 % ---abcb1/abcb19: CL 130uE white light
 DATA.Xtarget{11}= ones(3,DATA.N);
 DATA.Wtarget{11}= Wtarget;
 DATA.Xtarget{11}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{11}(1,1:DATA.N) = C_pKO8(1,1:DATA.N);
 DATA.Wtarget{11}(1,1:DATA.N) = 1+log10(C_pKO8(1,1:DATA.N)./ecC_pKO8(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{11}(2,1:DATA.N) = C_pKO8(2,1:DATA.N);
 DATA.Wtarget{11}(2,1:DATA.N) = 1+log10(C_pKO8(2,1:DATA.N)./ecC_pKO8(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{11}(3,1:DATA.N) = C_pKO8(3,1:DATA.N);
 DATA.Wtarget{11}(3,1:DATA.N) = 1+log10(C_pKO8(3,1:DATA.N)./ecC_pKO8(3,1:DATA.N));

 % ---sav3: CL 130uE white light
 DATA.Xtarget{12}= ones(3,DATA.N);
 DATA.Wtarget{12}= Wtarget;
 DATA.Xtarget{12}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{12}(1,1:DATA.N) = D_pKO8(1,1:DATA.N);
 DATA.Wtarget{12}(1,1:DATA.N) = 1+log10(D_pKO8(1,1:DATA.N)./ecD_pKO8(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{12}(2,1:DATA.N) = D_pKO8(2,1:DATA.N);
 DATA.Wtarget{12}(2,1:DATA.N) = 1+log10(D_pKO8(2,1:DATA.N)./ecD_pKO8(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{12}(3,1:DATA.N) = D_pKO8(3,1:DATA.N);
 DATA.Wtarget{12}(3,1:DATA.N) = 1+log10(D_pKO8(3,1:DATA.N)./ecD_pKO8(3,1:DATA.N));
%&&&&&&&&&&&&&&&& 

%&&&&&&&&&&
% ---Col0: LD 75uE white light
 DATA.Xtarget{13}= ones(3,DATA.N);
 DATA.Wtarget{13}= Wtarget;
 DATA.Xtarget{13}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{13}(1,1:DATA.N) = A_pKO5(1,1:DATA.N);
 DATA.Wtarget{13}(1,1:DATA.N) = 1+log10(A_pKO5(1,1:DATA.N)./ecA_pKO5(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{13}(2,1:DATA.N) = A_pKO5(2,1:DATA.N);
 DATA.Wtarget{13}(2,1:DATA.N) = 1+log10(A_pKO5(2,1:DATA.N)./ecA_pKO5(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{13}(3,1:DATA.N) = A_pKO5(3,1:DATA.N);
 DATA.Wtarget{13}(3,1:DATA.N) = 1+log10(A_pKO5(3,1:DATA.N)./ecA_pKO5(3,1:DATA.N));
 
 % ---pin3.5: LD 75uE white light
 DATA.Xtarget{14}= ones(3,DATA.N);
 DATA.Wtarget{14}= Wtarget;
 DATA.Xtarget{14}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{14}(1,1:DATA.N) = B_pKO5(1,1:DATA.N);
 DATA.Wtarget{14}(1,1:DATA.N) = 1+log10(B_pKO5(1,1:DATA.N)./ecB_pKO5(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{14}(2,1:DATA.N) = B_pKO5(2,1:DATA.N);
 DATA.Wtarget{14}(2,1:DATA.N) = 1+log10(B_pKO5(2,1:DATA.N)./ecB_pKO5(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{14}(3,1:DATA.N) = B_pKO5(3,1:DATA.N);
 DATA.Wtarget{14}(3,1:DATA.N) = 1+log10(B_pKO5(3,1:DATA.N)./ecB_pKO5(3,1:DATA.N));
 
 % ---abcb1/abcb19: LD 75uE white light
 DATA.Xtarget{15}= ones(3,DATA.N);
 DATA.Wtarget{15}= Wtarget;
 DATA.Xtarget{15}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{15}(1,1:DATA.N) = C_pKO5(1,1:DATA.N);
 DATA.Wtarget{15}(1,1:DATA.N) = 1+log10(C_pKO5(1,1:DATA.N)./ecC_pKO5(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{15}(2,1:DATA.N) = C_pKO5(2,1:DATA.N);
 DATA.Wtarget{15}(2,1:DATA.N) = 1+log10(C_pKO5(2,1:DATA.N)./ecC_pKO5(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{15}(3,1:DATA.N) = C_pKO5(3,1:DATA.N);
 DATA.Wtarget{15}(3,1:DATA.N) = 1+log10(C_pKO5(3,1:DATA.N)./ecC_pKO5(3,1:DATA.N));

 % ---sav3: LD 75uE white light
 DATA.Xtarget{16}= ones(3,DATA.N);
 DATA.Wtarget{16}= Wtarget;
 DATA.Xtarget{16}(1:3,1:DATA.N) = NaN;
 % time point day 4
 DATA.Xtarget{16}(1,1:DATA.N) = D_pKO5(1,1:DATA.N);
 DATA.Wtarget{16}(1,1:DATA.N) = 1+log10(D_pKO5(1,1:DATA.N)./ecD_pKO5(1,1:DATA.N));
 % time point day 6
 DATA.Xtarget{16}(2,1:DATA.N) = D_pKO5(2,1:DATA.N);
 DATA.Wtarget{16}(2,1:DATA.N) = 1+log10(D_pKO5(2,1:DATA.N)./ecD_pKO5(2,1:DATA.N));
 % time point day 6 with FR
 DATA.Xtarget{16}(3,1:DATA.N) = D_pKO5(3,1:DATA.N);
 DATA.Wtarget{16}(3,1:DATA.N) = 1+log10(D_pKO5(3,1:DATA.N)./ecD_pKO5(3,1:DATA.N));
%&&&&&&&&&&&&&&&& 


 %------------------Experiments weight-----------------
 DATA.Wtarget{1}(find(isnan(DATA.Wtarget{1})))=1;
 DATA.Wtarget{2}(find(isnan(DATA.Wtarget{2})))=1;
 DATA.Wtarget{3}(find(isnan(DATA.Wtarget{3})))=1;
 DATA.Wtarget{4}(find(isnan(DATA.Wtarget{4})))=1;
 DATA.Wtarget{5}(find(isnan(DATA.Wtarget{5})))=1;
 DATA.Wtarget{6}(find(isnan(DATA.Wtarget{6})))=1;
 DATA.Wtarget{7}(find(isnan(DATA.Wtarget{7})))=1;
 DATA.Wtarget{8}(find(isnan(DATA.Wtarget{8})))=1;
 DATA.Wtarget{9}(find(isnan(DATA.Wtarget{9})))=1;
 DATA.Wtarget{10}(find(isnan(DATA.Wtarget{10})))=1;
 DATA.Wtarget{11}(find(isnan(DATA.Wtarget{11})))=1;
 DATA.Wtarget{12}(find(isnan(DATA.Wtarget{12})))=1;
 DATA.Wtarget{13}(find(isnan(DATA.Wtarget{13})))=1;
 DATA.Wtarget{14}(find(isnan(DATA.Wtarget{14})))=1;
 DATA.Wtarget{15}(find(isnan(DATA.Wtarget{15})))=1;
 DATA.Wtarget{16}(find(isnan(DATA.Wtarget{16})))=1;

if (0) %with Std
  DATA.Wtarget{1} = Wexp1a.*DATA.Wtarget{1}; %CL75
  DATA.Wtarget{2} = Wexp1b.*DATA.Wtarget{2};
  DATA.Wtarget{3} = Wexp1c.*DATA.Wtarget{3};
  DATA.Wtarget{4} = Wexp1d.*DATA.Wtarget{4};
  DATA.Wtarget{5} = Wexp2a.*DATA.Wtarget{5}; %LD130
  DATA.Wtarget{6} = Wexp2b.*DATA.Wtarget{6};
  DATA.Wtarget{7} = Wexp2c.*DATA.Wtarget{7};
  DATA.Wtarget{8} = Wexp2d.*DATA.Wtarget{8};
  DATA.Wtarget{9} = Wexp3a.*DATA.Wtarget{9}; %CL130
  DATA.Wtarget{10} = Wexp3b.*DATA.Wtarget{10};
  DATA.Wtarget{11} = Wexp3c.*DATA.Wtarget{11};
  DATA.Wtarget{12} = Wexp3d.*DATA.Wtarget{12};
  DATA.Wtarget{13} = Wexp4a.*DATA.Wtarget{13}; %LD75
  DATA.Wtarget{14} = Wexp4b.*DATA.Wtarget{14};
  DATA.Wtarget{15} = Wexp4c.*DATA.Wtarget{15};
  DATA.Wtarget{16} = Wexp4d.*DATA.Wtarget{16};
else %without Std
  DATA.Wtarget{1} = Wtarget; %CL75
  DATA.Wtarget{2} = Wtarget;
  DATA.Wtarget{3} = Wtarget;
  DATA.Wtarget{4} = Wtarget;
  DATA.Wtarget{5} = Wtarget; %LD130
  DATA.Wtarget{6} = Wtarget;
  DATA.Wtarget{7} = Wtarget;
  DATA.Wtarget{8} = Wtarget;
  DATA.Wtarget{9} = Wtarget; %CL130
  DATA.Wtarget{10} = Wtarget;
  DATA.Wtarget{11} = Wtarget;
  DATA.Wtarget{12} = Wtarget;
  DATA.Wtarget{13} = Wtarget; %LD75
  DATA.Wtarget{14} = Wtarget;
  DATA.Wtarget{15} = Wtarget;
  DATA.Wtarget{16} = Wtarget;
end;
%-------------------------------------------------------

 
[J,T] = costfn(U0);
J



%*** perturbation of the initial parameter set U0 :
  R = rand(n,1);
  dU = DATA.ParamMinMax(:,1).*R + DATA.ParamMinMax(:,2).*(1-R) - U0;
  dU = 0.4*max(min(dU,1e4),-1e4);  
  U = U0 * ones(1,nparam+1) + sparse(pActive',(2:nparam+1)',dU(pActive,1),n,nparam+1);

%*** optimize:
  %save matlab.mat
  [U1,J,Lo,Hi,iter,fcount] = mynelder('costfn',U,xtol,maxit);
  %save matlab.mat

%front pareto
% A=load('best.dat');
% Param=(A(end,1:DATA.N))';
% [J,Xt,T] = costfn(Param);
% X= [a(i) J];
% 
% *** write the best:
% fprintf(fidres1,fmt1,X);
% fprintf(fidres1,'%e %e %e\n',X');
% 
% 
% *** close files:
% fclose(fidres1);








