function [J,T] = costfn(Param);
% same mu but sav3 and different permeabilities
%Experiments to fit (ec fit: Col+75uE)
ColCL=1; pinCL=0; abcbCL=1; savCL=1; % CL 75uE co fit
ColLD130=1; pinLD130=0; abcbLD130=1;savLD130=1; % LD 130uE col fit
ColCL130=1; pinCL130=0; abcbCL130=0;savCL130=0; % CL 130uE for validation but col
ColLD75=1; pinLD75=0; abcbLD75=0; savLD75=0; % LD 75uE for validalidation but col

global DATA;
ncell =DATA.N;
setdata(Param);
 
vLd=zeros(3,ncell); %last cell is from the root: not considered in J score


%*** time discretisation:
  dtime = DATA.dtime;
  
  %*** penalize parameters out of range:
  ParamMinMax = DATA.ParamMinMax;
  ParamMinMax0 = ParamMinMax + 1e16*(ParamMinMax==0);
  Range = max(ParamMinMax(:,1)-Param,0)./ParamMinMax0(:,1) + ...
           max(Param-ParamMinMax(:,2),0)./ParamMinMax0(:,2);
  pActive = find(ParamMinMax(:,1)<ParamMinMax(:,2));
  Jrange = 1e60*sum(Range(pActive));
  
  J = Jrange;


  if (J>1e-6)
	Xt=[]; T=[]; 
	J = 1e+10 + Jrange;
	return ;
  end;

if (DATA.remainFR < 0.1 || DATA.remainFR > 0.5)
    J=1e+10;
   return;
end
 
if (ColCL)
  %*** A_pKO1_2: Col_0 CL 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
%*** init: A=AAI at each cell
	
  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
  Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  DATA.mu=DATA.wtmu;
  %quantity=sum(sum(A0.*l));
%*** 

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
%strtrim(sprintf('%d ',init0{1}))
   [Ct, state] = growth(T, Param,init0);


  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
  %weight=0.1; %1e-3; %1e-31;

%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{1}))
      Xtarget = DATA.Xtarget{1}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{1}(:,1:ncell-1);

      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2;

        end;
      end;
   end;
   
 %Xt(1,:)=vLd(1,:);
 %Xt(2,:)=vLd(2,:);
 
 %*** A_pKO1_2: Col_0 CL 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;   
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  %---continuous:
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);


%*** calculate the cost-function (for every Xtarget which <> NaN):
if (~isempty(DATA.Xtarget{1}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
    %************************
 % figure(1);
  %plot(1:20,DATA.A_pKO1_2(1,:),'b*',1:20,vLd(1,:),1:20,DATA.A_pKO1_2(2,:),'g*',1:20,vLd(2,:),1:20,DATA.A_pKO1_2(3,:),'r*',1:20,vLd(3,:));
%************************

 %Xt(3,:)=vLd(3,:);
end;


if (pinCL)
%----------- knock-out plant: pin3-KO -----
%*** B_pKO1: pin3 CL 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  %*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
 Dbottom(:,[1,4])=DATA.pinDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.pinDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.pinDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.pinDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  
  %*** effect of mutation pin3.5
 DATA.mu=DATA.Mtdelay;
  

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{2}))
      Xtarget = DATA.Xtarget{2}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{2}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2;


        end;
      end;
   end;
   
 %Xt(4,:)=vLd(1,:);
 %Xt(5,:)=vLd(2,:);
 
 %*** B_pKO1: pin3 CL 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;  
 
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  %---continuous:
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{2}))   
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %************************
  %figure(1);
  %plot(1:20,DATA.B_pKO1(1,:),'b*',1:20,vLd(1,:),1:20,DATA.B_pKO1(2,:),'g*',1:20,vLd(2,:),1:20,DATA.B_pKO1(3,:),'r*',1:20,vLd(3,:));

%cancel;
%************************

 %Xt(6,:)=vLd(3,:);

end;

if (abcbCL)
%----------- knock-out plant: abcb1/abcb19-KO -----
%*** C_pKO2: abcb CL 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)

  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
%*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
 Dbottom(:,[1,4])=DATA.abcbDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.abcbDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.abcbDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.abcbDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  
  %*** effect of mutation abcb 
  DATA.mu=DATA.abcbmu;
  
  
  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
   vLd=Ld(:,end:-1:1);
   
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{3}))
      Xtarget = DATA.Xtarget{3}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{3}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2;
        end;
      end;
   end;
 

 
 %Xt(7,:)=vLd(1,:);
 %Xt(8,:)=vLd(2,:);
 
 %*** C_pKO2: abcb CL 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  
  luxDN = DATA.DN(T).*DATA.lux;
  
  

  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{3}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
   
 %Xt(9,:)=vLd(3,:);
%DATA.mu=Pold(1); %restaure mu0
 end;


if (savCL)
%----------- knock-out plant: sav3-KO -----
%*** D_pKO9: sav CL 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  
 
  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;

  %*** effect of mutation sav3
 DATA.mu=DATA.savmu;

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{4}))
      Xtarget = DATA.Xtarget{4}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{4}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
 
 %Xt(10,:)=vLd(1,:);
 %Xt(11,:)=vLd(2,:);
 
 %*** C_pKO8: sav3 CL 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
 
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{4}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(12,:)=vLd(3,:);

end;


%&&&&&&&&&&&&&&&&& LD 130uE &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
if (ColLD130)
  %*** A_pKO3: Col_0 LD 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---Long day light:
  DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
 %*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  DATA.mu=DATA.wtmu;
  %quantity=sum(sum(A0.*l));
%*** 

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;

   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
  %weight=0.1; %1e-3; %1e-31;

%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{5}))
      Xtarget = DATA.Xtarget{5}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{5}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 

        end;
      end;
   end;
   
 %Xt(13,:)=vLd(1,:);
 %Xt(14,:)=vLd(2,:);
 
 %*** A_pKO8: Col_0 CL 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;   
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  %---continuous:
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
   vLd(3,:)=Ld(3,end:-1:1);
 
%*** calculate the cost-function (for every Xtarget which <> NaN):
if (~isempty(DATA.Xtarget{5}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 

        end;
      
   end;
   
 %Xt(15,:)=vLd(3,:);

end;

if (pinLD130)
%----------- knock-out plant: pin3-KO -----
%*** B_pKO3: pin3 LD 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
  %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---Long day light:
  DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  %*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.pinDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.pinDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.pinDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.pinDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  

  %*** effect of mutation pin3
 DATA.mu=DATA.Mtdelay;

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);

  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{6}))
      Xtarget = DATA.Xtarget{6}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{6}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
   
 %Xt(16,:)=vLd(1,:);
 %Xt(17,:)=vLd(2,:);
 
 %*** B_pKO1: pin3 CL 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;  
 
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  %---continuous:
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{6}))   
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
  %************************
  %figure(1);
  %plot(1:20,DATA.B_pKO3(1,:),'b*',1:20,vLd(1,:),1:20,DATA.B_pKO3(2,:),'g*',1:20,vLd(2,:),1:20,DATA.B_pKO3(3,:),'r*',1:20,vLd(3,:));

%************************

 %Xt(18,:)=vLd(3,:);

end;

if (abcbLD130)
%----------- knock-out plant: abcb1/abcb19-KO -----
%*** C_pKO3: abcb LD 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  
 %---Long day light:
  DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');    
  luxDN = DATA.DN(T).*DATA.lux;
  
  %** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.abcbDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.abcbDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.abcbDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.abcbDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;


    %*** effect of mutation abcb
  DATA.mu=DATA.abcbmu;

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
   vLd=Ld(:,end:-1:1);
  
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{7}))
      Xtarget = DATA.Xtarget{7}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{7}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 

        end;
      end;
   end;
 
 %Xt(19,:)=vLd(1,:);
 %Xt(20,:)=vLd(2,:);
 
 %*** C_pKO2: abcb LD 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default

  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{7}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 

        end;
      
   end;
   
 %Xt(21,:)=vLd(3,:);

end;

if (savLD130)
%----------- knock-out plant: sav3-KO -----
%*** D_pKO3: sav LD 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  
 
  %---Long day light:
  DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  
   %*** effect of mutation sav3
  DATA.mu=DATA.savmu;

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{8}))
      Xtarget = DATA.Xtarget{8}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{8}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
 
 %Xt(22,:)=vLd(1,:);
 %Xt(23,:)=vLd(2,:);
 
 %*** C_pKO8: sav3 CL 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{8}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(24,:)=vLd(3,:);

end;
%&&&&&&&&&&&&&&&&&

%&&&&&&&&&&&&&&&&& CL 130uE &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
if (ColCL130)
  %*** A_pKO8: Col_0 CL 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
 %*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  DATA.mu=DATA.wtmu;
  %quantity=sum(sum(A0.*l));
%*** 

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;

   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
  %weight=0.1; %1e-3; %1e-31;

%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{9}))
      Xtarget = DATA.Xtarget{9}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{9}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
   
 %Xt(25,:)=vLd(1,:);
 %Xt(26,:)=vLd(2,:);
 
 %*** A_pKO8: Col_0 CL 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;   
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  %---continuous:
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
   vLd(3,:)=Ld(3,end:-1:1);
 
%*** calculate the cost-function (for every Xtarget which <> NaN):
if (~isempty(DATA.Xtarget{9}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(27,:)=vLd(3,:);

end;

if (pinCL130)
%----------- knock-out plant: pin3-KO -----
%*** B_pKO1: pin3 CL 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  %*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.pinDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.pinDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.pinDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.pinDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  

  %*** effect of mutation sav3
 DATA.mu=DATA.Mtdelay;

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{10}))
      Xtarget = DATA.Xtarget{10}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{10}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
   
 %Xt(28,:)=vLd(1,:);
 %Xt(29,:)=vLd(2,:);
 
 %*** B_pKO1: pin3 CL 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;  
 
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  %---continuous:
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{10}))   
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(30,:)=vLd(3,:);

end;

if (abcbCL130)
%----------- knock-out plant: abcb1/abcb19-KO -----
%*** C_pKO2: abcb CL 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  
  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  %** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.abcbDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.abcbDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.abcbDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.abcbDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  

    %*** effect of mutation abcb
 DATA.mu=DATA.abcbmu;

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
   vLd=Ld(:,end:-1:1);
  
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{11}))
      Xtarget = DATA.Xtarget{11}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{11}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
 
 %Xt(31,:)=vLd(1,:);
 %Xt(32,:)=vLd(2,:);
 
 %*** C_pKO2: abcb CL 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{11}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(33,:)=vLd(3,:);

end;

if (savCL130)
%----------- knock-out plant: sav3-KO -----
%*** D_pKO8: sav CL 130uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 130; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  
 
  %---continuous:
  DATA.DN = inline('1.0*interp1([0 0.5 8.5 9 24],[1 1 1 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  
   %*** effect of mutation sav3
DATA.mu=DATA.savmu; 

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{12}))
      Xtarget = DATA.Xtarget{12}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{12}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
 
 %Xt(34,:)=vLd(1,:);
 %Xt(35,:)=vLd(2,:);
 
 %*** C_pKO8: sav3 CL 130uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{12}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(36,:)=vLd(3,:);

end;

%%%%%%%%%%%%%%%%%%%%%%%%%%% LD75

if (ColLD75)
  %*** A_pKO1_2: Col_0 LD 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---LD:
  DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
%*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  DATA.mu=DATA.wtmu;
  %quantity=sum(sum(A0.*l));
%*** 

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;

   [Ct, state] = growth(T, Param,init0);
  
	
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);

  vLd=Ld(:,end:-1:1);
  
  %weight=0.1; %1e-3; %1e-31;

%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{13}))
      Xtarget = DATA.Xtarget{13}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{13}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
   
 %Xt(37,:)=vLd(1,:);
 %Xt(38,:)=vLd(2,:);
 
 %*** A_pKO1_2: Col_0 LD 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;   
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);


%*** calculate the cost-function (for every Xtarget which <> NaN):
if (~isempty(DATA.Xtarget{13}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
    %************************
 % figure(1);
  %plot(1:20,DATA.A_pKO1_2(1,:),'b*',1:20,vLd(1,:),1:20,DATA.A_pKO1_2(2,:),'g*',1:20,vLd(2,:),1:20,DATA.A_pKO1_2(3,:),'r*',1:20,vLd(3,:));
%************************

 %Xt(39,:)=vLd(3,:);
end;

if (pinLD75)
%----------- knock-out plant: pin3-KO -----
%*** B_pKO1: pin3 LD 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  %---LD:
 DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  %*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.pinDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.pinDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.pinDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.pinDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  
  %*** effect of mutation pin3.5
  DATA.mu=DATA.Mtdelay;
  

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{14}))
      Xtarget = DATA.Xtarget{14}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{14}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
   
 %Xt(40,:)=vLd(1,:);
 %Xt(41,:)=vLd(2,:);
 
 %*** B_pKO1: pin3 LD 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;  
 
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
  %---continuous:
   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{14}))   
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %************************
  %figure(1);
  %plot(1:20,DATA.B_pKO1(1,:),'b*',1:20,vLd(1,:),1:20,DATA.B_pKO1(2,:),'g*',1:20,vLd(2,:),1:20,DATA.B_pKO1(3,:),'r*',1:20,vLd(3,:));

%cancel;
%************************

 %Xt(42,:)=vLd(3,:);
%DATA.mu=Pold(1); %restaure mu0
end;

if (abcbLD75)
%----------- knock-out plant: abcb1/abcb19-KO -----
%*** C_pKO2: abcb LD 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)

  %---LD:
  DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
%*** init: A=AAI at each cell

  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.abcbDbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.abcbDtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.abcbDin*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.abcbDout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;
  
  %*** effect of mutation abcb 
  DATA.mu=DATA.abcbmu;
  
  
  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
   vLd=Ld(:,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{15}))
      Xtarget = DATA.Xtarget{15}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{15}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
 
 %Xt(43,:)=vLd(1,:);
 %Xt(44,:)=vLd(2,:);
 
 %*** C_pKO2: abcb LD 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
    
  luxDN = DATA.DN(T).*DATA.lux;
  
  

  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{15}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(45,:)=vLd(3,:);
%DATA.mu=Pold(1); %restaure mu0
 end;


if (savLD75)
%----------- knock-out plant: sav3-KO -----
%*** D_pKO9: sav LD 75uE  ----------------------

  T = 0:DATA.dtime:DATA.Tsim;  
 %DATA.photop=2; %define photoperiod 0: dark; 1: 16:8(L:D); 2: continuous light;  
  DATA.lux = 75; % umol.m-2.s-1 Light intensity   
  DATA.delayFR=7*24; % time (h) when adding FR (before FR=1)
  
 
  %---LD:
  DATA.DN = inline('1.0*interp1([0 0.3 8 8.5 9 24],[0.3 0 0 .7 1 1],rem(x,24))','x');   
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  A0     = zeros(ncell,4);
  A0(:,:)=DATA.A0;
  l0 = ones(ncell,4)*DATA.linit; % /DATA.factlg ;
Dbottom(:,[1,4])=DATA.Dbottom*ones(DATA.N,2);% epiderm and endoderm
Dbottom(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
Dtop(:,[1,4])=DATA.Dtop*ones(DATA.N,2);%epiderm and endoderm
Dtop(:,2:3)=DATA.Dcortex*ones(DATA.N,2);% cortex
 Din=DATA.Din*ones(DATA.N,4);
 Din(:,3)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 Dout=DATA.Dout*ones(DATA.N,4);
 Dout(:,2)=DATA.Dcortex*ones(DATA.N,1);%between cortex cells
 D=cat(3,Dtop,Dbottom,Dout,Din);
  cuml0=DATA.Qlight0;

  %*** effect of mutation sav3
  DATA.mu=DATA.savmu;

  init0{1}=A0;
  init0{2}=l0;
  init0{3}=D;
  init0{4}=cuml0;
  
   [Ct, state] = growth(T, Param,init0);
  
  Ld(1,:)=Ct(find(round(T,1)==96),:);
  Ld(2,:)=Ct(find(round(T,1)==144),:);
  vLd=Ld(:,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{16}))
      Xtarget = DATA.Xtarget{16}(:,1:ncell-1);
      Wtarget = DATA.Wtarget{16}(:,1:ncell-1);
      for i=1:2
        p = find(~isnan(Xtarget(i,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(i,p)).*(Xtarget(i,p)-vLd(i,p))./Xtarget(i,p)))^2; 
        end;
      end;
   end;
 
 %Xt(46,:)=vLd(1,:);
 %Xt(47,:)=vLd(2,:);
 
 %*** C_pKO8: sav3 LD 75uE  + 2d in FR ----------------------

  T = 96:DATA.dtime:DATA.Tsim;    
  DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
     
  luxDN = DATA.DN(T).*DATA.lux;
  
  % Initial state: Default
  
  [Ct, statend] = growth(T, Param,state);
  
  Ld(3,:)=Ct(find(round(T,1)==144),:);
  vLd(3,:)=Ld(3,end:-1:1);
  
%*** calculate the cost-function (for every Xtarget which <> NaN):
   if (~isempty(DATA.Xtarget{16}))
        p = find(~isnan(Xtarget(3,:)));
        if (~isempty(p))
J = J + DATA.dtime * (norm(sqrt(Wtarget(3,p)).*(Xtarget(3,p)-vLd(3,p))./Xtarget(3,p)))^2; 
        end;
      
   end;
   
 %Xt(48,:)=vLd(3,:);


end;

%&&&&&&&&&&&&&&&&&
%save -ascii best_value.dat  Xt

%exit

