function U = getdata
% function U = getdata;
% returns all possible DATA.xxxx in the global variable DATA
% in the fields of U(i)
% except for the light L(t) and the initial state X(t=0)
%*** parameters:
% DATA		-in-	global structure containing biological and monod params
% U(108,1)	-out-	vector with biological and monod params, except light L(t)

  global DATA;


%*** init U:
  U = zeros(30,1);
  
 
   U(1)  = DATA.uFR 	 ;%relative FR intensity enrichment otherwize FR=1
   U(2)  = DATA.ratioRFR	 ;% ratio R/FR for half production auxin KSminus
   U(3)  = DATA.decayRFR	 ;%sigmoid translation
   U(4)  = DATA.nRFR	 ;%natural R/FR ratio
   U(5)  = DATA.Qlight0	 ;%[uE.m-2.s-1] light accumulation. Relation to organe iaa sources 
   U(6)  = DATA.Rlight	 ;%[umol.m-2.s-1] sigmoid translation iaa degradation by high light
   U(7)  = DATA.Klight	 ;% Hill cst: growth rate inhibition by light  
   U(8)  = DATA.Mtcumul	 ;%Time for half auxin production
   U(9) = DATA.A0	  ;%initial auxin concentration
   U(10)  = DATA.Asens	 ;%*1e-6 ;%[g] factor of growth sensitivity to auxin
   U(11)  = DATA.mudecay	 ;% auxin production [ug/h]  
   U(12)  = DATA.nu	 ;% auxin degradation [e(-nu.t)]
   U(13) = DATA.growthfact	 ;%um.h-1 max growth rate
   U(14)  = DATA.wtmu	 ;%*mu for wildtype (auxin production [ug/h])
   U(15)  = DATA.Mtdelay	 ;%Delay for Mono Mtcumul
   U(16)  = DATA.abcbmu	 ;%*mu for abcb (auxin production [ug/h]) 
   U(17)  = DATA.savmu	 ;%*mu for sav3 (auxin production [ug/h])
   U(18) = DATA.Dtop	 ;% permeability wild type Col0
   U(19) = DATA.remainFR	 ;%Used for FR
   U(20) = DATA.abcbDtop	 ;% permeability for abcb
   U(21) = DATA.Dbottom	 ;% permeability wild type Col0
   U(22) = DATA.pinDbottom 	 ;% permeability for pin3 - Not used
   U(23) = DATA.abcbDbottom	 ;% permeability for abcb
   U(24) = DATA.Din	 ;% permeability wild type Col0
   U(25) = DATA.pinDin	 ;% permeability for pin3 - Not used
   U(26) = DATA.abcbDin	 ;% permeability for abcb
   U(27) = DATA.Dout	 ;% permeability wild type Col0
   U(28) = DATA.pinDout 	 ;% permeability for pin3 - Not used
   U(29) = DATA.abcbDout	 ;% permeability for abcb
   U(30) = DATA.Dcortex	 ;% permeability for cortex all sides


   return;
  
