function [Cl,state] = growth(T,Param,init0);


global DATA;
dtime=DATA.dtime;
%*** init general data: no. of cells and boundary conditions:
  ncell =DATA.N;
  %linit=10;


%--- tolerance for stationary solution: (if |dX|_infty < xtol --> stationary):
  xtol = 1e-6;
%--- sanity check for divergence:
  xmax = 1e30;
  

%*** init: A=AAI at each cell,l length of the cells, nb quantity of basal pin, nl  quantity of lateral pin  :
 
  A0=init0{1};
  l0=init0{2};
  D=init0{3};
  cuml0=init0{4};
     

%*** model for hypocotyl auxin transport
%fprintf('=== hypocotyl auxin transport :\n');
 model = 'transport2Dnew';
  

%*** Runge-Kutta 4 method:
  ntime = length(T);
  A = A0;
  l=l0;
  cumlight=cuml0;
  Cl=zeros(ntime,ncell);
  Cl(1,:)=l0(:,1);
  state=[];
  
  for itime = 2:ntime
    t = T(itime-1);
    

     
     cumlight = cumlight+DATA.DN(t)*DATA.lux*dtime; 
     
    [k1,l1] = feval( model, cumlight,DATA.DN(t)*DATA.lux, t        ,A              ,l  ,D,Param);
    [k2,l2] = feval(model,  cumlight,DATA.DN(t+dtime/2)*DATA.lux, t+dtime/2,A+dtime/2.*k1,l+dtime/2.*l1,D,Param);
    [k3,l3] = feval(model,  cumlight,DATA.DN(t+dtime/2)*DATA.lux, t+dtime/2,A+dtime/2.*k2,l+dtime/2.*l2,D,Param);
    [k4,l4] = feval(model,  cumlight,DATA.DN(t+dtime)*DATA.lux, t+dtime  ,A+dtime.*k3,l+dtime.*l3,D,Param);
    l = l + dtime/6.*(l1 + 2*l2 + 2*l3 + l4);
    A = A + dtime/6.*(k1 + 2*k2 + 2*k3 + k4);
    
    
%  if (abs(sum(sum(A.*l))-quantity)>xtol)    
%      fprintf('### error - not conservative ! \n')
%      break;
%  end   
 
if (min(min(A)) < 0 || min(min(l)) < 0)
    fprintf('### error - A or l are negative ! \n')
    break;
end

%if (DATA.remainFR < 0.1 || DATA.remainFR > 0.9)
 %   fprintf('### Constraint - FR remaining >90% or <10% \n')
 %   break;
%end

    [dA,dl] = feval(model, cumlight,DATA.DN(t)*DATA.lux, t,A,l,D,Param); 

    Cl(itime,:)=l(:,1);

%     if (rem(itime,1000)==0)
%       fprintf('time: %e [%d/%d]    |dA|: %e |dl| : %e\n', ...
%           t,itime,ntime, norm(dA,inf),norm(dl,inf)); 
%       
     %--- visu:  
 %    visuhypocotyl(A,l,1);    
%       fname=sprintf('D0.png/toto-%06d.png',itime);
%       print(fname,'-dpng');
%     end;
%      pause
%      sum(sum(A.*l))
%     
%--- visu:
%    visuauxinpin1D(X,Pleft,Pright,1);
%    pause
%--- stopping condition for stationary iteration:
    if (norm(dA,inf)<xtol)
      fprintf('*** process has reached stationary solution, iteration done\n');
      break;
    end;
    if ((norm(A,inf)>xmax) || (norm(dA,inf)>xmax) || sum(sum(isnan(A))) || sum(sum(isnan(dA))))
      fprintf('### error - it REALLY diverges: try to decrease (dtime) and pray...\n');
      break;
    end;
 

    if (t-96<xtol)
  state{1}=A;
  state{2}=l;
  state{3}=D;
  state{4}=cumlight;
    end;

 end;

