%*** initialize model-specific data in global DATA structure:

%Initialize constant values
	DATA.dtime=0.1;
	DATA.Tsim=(6+DATA.dtime)*24; % time (h) of simulation
	DATA.Qlight0=150; %[uE.m-2] light accumulation "in seed". Relation to organe iaa sources 

	DATA.delayFR=4*24; % time (h) when adding FR (before FR=1)
	DATA.linit=10; %start cell lenght (um)
	DATA.N = 19; % number of cells. Last Cells not considered (Score on N-1 cells)
	DATA.A0 =1; %initial auxin concentration
% Variable Name initialisation
  DATA.lux = 0; % umol.m-2.s-1 initialise name Condition Light
  DATA.mu= 0; % variable initialisation, generic use|  auxin production [ug/h]  
%------------------------------
% Initial state (experiment)
    DATA.uFR = 5; %relative FR R=1
    DATA.ratioRFR=1; % ratio R/FR for half production auxin
    DATA.decayRFR=0.01; % Decay for R/FR sigmoid
    DATA.nRFR=2;   % natural R/FR ratio

  
    DATA.Asens =(1)^2; %[ug] factor of growth sensitivity to auxin (Splus)
    DATA.mudecay=0.01; % decay of auxin production [ug/h]
    DATA.nu=0.5; %auxin degradation e(-nu.t)

    DATA.Rlight = 0.01; % auxin degradation light decay
    DATA.Klight=(100)^2; %to have half growth rate due to light [uE]
    DATA.Mtcumul=10^7; %Monod light accumulation for half auxin production [uE]
    DATA.Mtdelay=0.01; %Delay of light accumulation (cumul) 

 DATA.wtmu=20; % mu for wildtype (auxin production [ug/h])
 DATA.abcbmu=20; % mu for abcb (auxin production [ug/h])
 DATA.savmu=5; %*auxin production for sav3 (auxin production [ug/h])

    
   DATA.growthfact=33; %growth factor [um/h] Cole, 2011 (33um/h 24) Gendreau 1997 (0.3-0.4 mm/d = 17 um/h) 
   DATA.Dtop=0.5; %permeability for wt
   DATA.Dbottom=1; %permeability for wt
   DATA.Din=0.1; %permeability for wt
   DATA.Dout=0.1; %permeability for wt

   DATA.remainFR=0.3; %  remaining Pfr during night 

   DATA.abcbDtop=0.5; % permeability for abcb
   DATA.abcbDbottom=1; % permeability for abcb
   DATA.abcbDin=0.1; % permeability for abcb
   DATA.abcbDout=0.1; % permeability for abcb

   DATA.Dcortex=1; % permeability for cortex all sides
   
   DATA.pinDbottom=0; % permeability for pin3 - Not used
   DATA.pinDin=0; % permeability for pin3 - Not used
   DATA.pinDout=0; % permeability for pin3 - Not used

%---------------------------------------------------------------------

%*** DATA
    %Col: first top cell to last bottom
    %line: 1st-> day4; 2nd->d6; 3rd->d6 with 2d in FR
    
% Col0: CL 75uE                                                         
DATA.A_pKO1_2 = [52 72 73 78 89 100 97 101 102 114 114 123 111 116 110 99 92 79 75 73;...
82 112 109 124 131 138 148 156 156 149 159 153 145 131 114 101 101 109 95 NaN;...
103 144 161 177 221 230 224 246 242 227 230 226 199 178 153 138 125 127 127 127];
%pin3-KO: CL 75uE                                                          
DATA.B_pKO1 = [71 103 111 121 131 129 127 137 122 144 150 156 160 160 146 138 132 114 121 106;...
96 146 169 176 169 168 178 192 185 171 189 195 186 163 171 144 121 115 159 134;...
111 166 194 230 240 263 256 248 246 246 229 211 198 178 177 153 134 149 192 140];           
%abcb-KO: CL 75uE                                                          
DATA.C_pKO2 = [51 58 63 60 53 63 58 57 63 61 61 59 62 57 57 56 62 57 46 43;...
60 84 95 118 107 112 104 95 90 94 81 75 73 61 60 59 59 51 51 52;...
76 107 125 133 154 165 159 166 168 162 158 149 116 105 93 87 75 70 63 53];
%sav3: CL 75uE                                                          
DATA.D_pKO9 = [45 48 51 54 62 61 59 56 57 64 63 70 67 74 83 87 78 85 60 81;...
53 52 53 53 56 58 51 55 54 53 57 62 62 64 69 73 75 70 64 71;...
61 83 94 88 100 104 108 99 99 95 93 92 92 99 96 90 86 69 70 74];
%*** Standard deviation                                                          
% Col0: CL 75uE                                                         
DATA.ecA_pKO1_2 = [12 21 24 29 34 35 36 37 39 41 39 46 45 53 43 25 23 24 26 19;...
27 31 28 30 36 32 37 45 42 38 46 53 54 54 27 25 27 27 NaN NaN;...
23 38 44 42 52 47 36 63 73 43 44 51 44 34 17 45 40 39 19 NaN];
%pin3-KO: CL 75uE                                                          
DATA.ecB_pKO1 = [17 27 31 38 42 45 39 37 25 36 35 36 65 51 43 48 34 15 NaN NaN;...
16 20 42 36 46 64 44 62 61 90 74 85 78 73 82 64 45 32 42 NaN;...
23 38 41 33 49 51 53 45 34 37 48 42 36 36 24 21 26 14 NaN NaN];
%abcb-KO: CL 75uE                                                          
DATA.ecC_pKO2 = [10 20 17 12 6 10 8 7 13 12 6 6 14 8 10 10 10 12 5 5;...
10 22 22 42 33 36 19 24 19 23 15 14 15 10 8 7 13 10 15 1;...
9 23 36 34 47 58 66 46 41 41 42 40 24 17 28 19 22 20 20 17];
%sav3: CL 75uE                                                          
DATA.ecD_pKO9 = [10 9 6 8 10 12 12 18 14 14 27 29 23 34 22 31 19 43 5 23;...
15 12 11 9 13 9 9 11 14 8 10 13 12 9 8 11 15 15 7 23;...
14 17 17 20 21 18 28 14 16 27 13 18 13 18 18 10 12 19 16 6];
                                                            
%----------------------------------------------------                                                            
%long day light 130uE                                                         
% Col0: LD 130uE                                                         
DATA.A_pKO3 = [43 51 51 59 68 71 70 81 82 71 76 91 80 83 81 82 76 78 46 NaN;...
61 79 87 95 115 122 111 112 101 115 108 107 104 97 86 85 87 100 NaN NaN;...
98 119 133 141 157 173 168 176 166 177 190 168 159 144 136 115 113 79 109 NaN];
% pin35: LD 130uE                                                         
DATA.B_pKO3 = [46 65 66 71 80 77 83 84 83 76 83 85 81 82 89 87 76 80 66 49;...
67 85 95 101 100 102 105 103 102 97 86 92 92 83 90 85 78 77 77 NaN;...
107 158 170 182 192 199 186 203 207 206 188 197 180 158 143 129 116 117 73 NaN];
% b1/b19: LD 130uE                                                         
DATA.C_pKO3 = [37 47 54 62 64 64 65 61 66 63 62 65 65 61 64 59 58 66 66 61;...
53 73 78 82 85 86 84 87 81 84 77 75 65 60 59 61 56 59 52 55;...
65 82 93 110 122 143 132 149 143 135 126 122 98 94 82 87 71 62 67 57];
% sav3: LD 130uE                                                         
DATA.D_pKO3 = [49 48 51 58 58 67 63 65 63 68 77 76 71 74 84 81 87 85 48 50;...
70 86 85 90 94 95 96 96 95 88 89 93 103 84 91 85 88 83 77 69;...
92 129 121 139 161 158 141 148 143 146 134 144 134 124 118 107 99 104 81 NaN];
                                                            
%*** Standard deviation                                                          
% Col0: LD 130uE                                                         
DATA.ecA_pKO3 = [7 12 14 10 17 13 14 24 18 16 22 25 17 22 33 28 18 21 11 NaN;...
14 19 18 17 24 9 18 17 18 28 15 11 15 22 16 13 25 NaN NaN NaN
;...
16 24 20 24 32 32 42 42 40 40 39 31 17 25 22 24 37 4 13 NaN];
% pin35: LD 130uE                                                         
DATA.ecB_pKO3 = [7 17 11 14 12 16 16 20 22 14 26 23 23 23 23 52 28 52 NaN NaN;...
18 23 15 22 16 21 26 24 18 18 16 17 22 15 13 16 26 12 9 NaN;...
27 40 24 37 44 53 20 34 48 50 27 43 34 41 32 48 40 59 9 NaN];
% b1/b19: LD 130uE                                                         
DATA.ecC_pKO3 = [5 9 11 14 19 15 18 16 18 11 14 20 20 15 6 14 16 15 12 11;...
13 10 19 14 23 10 19 17 14 17 10 13 8 11 10 12 9 11 0 NaN;...
13 12 17 19 15 32 31 25 30 26 29 18 17 19 18 34 21 20 26 12];
% sav3: LD 130uE                                                         
DATA.ecD_pKO3 = [13 13 17 19 15 18 22 20 24 25 17 30 33 41 37 47 36 23 10 11;...
11 14 13 10 12 15 18 26 13 13 14 15 26 20 23 20 16 21 26 5;...
19 10 24 19 20 24 22 23 26 27 29 27 28 22 18 19 17 21 NaN NaN];
%----------------------------------------------------                                                            
%Continuous light 130uE                                                          
% Col0: CL 130uE             0.66667                                              
DATA.A_pKO8 = [36 42 41 45 45 47 52 54 52 58 63 57 60 67 64 62 61 69 59 NaN;...
51 50 45 48 50 50 53 52 53 57 56 54 54 58 61 54 61 59 67 70;...
66 76 77 77 87 95 103 111 107 110 110 106 104 102 96 88 74 70 53 54];
% pin35: CL 130uE                                                         
DATA.B_pKO8 = [44 44 50 55 59 61 67 59 64 65 65 68 63 64 62 60 62 54 62 55;...
46 52 58 56 65 74 65 60 63 64 66 65 68 64 66 68 75 63 63 64;...
80 87 97 107 108 126 113 117 115 117 112 109 108 99 93 84 78 64 62 65];
% b1/b19: CL 130uE                                                         
DATA.C_pKO8 = [35 43 44 45 49 47 49 50 51 49 48 49 48 51 48 47 49 44 37 46;...
34 41 39 41 39 50 49 44 44 49 45 54 48 47 43 42 42 48 44 50;...
53 52 61 72 76 79 78 89 88 84 78 69 72 64 60 59 60 53 47 50];
% sav3: CL 130uE                                                         
DATA.D_pKO8 = [40 40 44 44 50 55 52 52 48 45 50 51 51 50 55 56 54 59 65 65;...
40 43 45 45 48 46 46 43 44 43 52 49 53 53 59 63 71 66 61 50;...
59 61 58 70 70 62 66 62 59 66 64 72 72 78 77 66 57 70 77 72];
                                                            
%*** Standard deviation                                                          
% Col0: CL 130uE             0.66667                                              
DATA.ecA_pKO8 = [6 6 6 10 9 11 6 9 7 12 13 12 7 11 9 10 14 27 11 NaN;...
7 11 7 6 8 6 7 10 8 8 12 9 8 9 11 11 7 8 4 0;...
6 21 20 11 22 29 26 31 32 36 37 31 36 47 51 41 25 21 7 22];
% pin35: CL 130uE                                                         
DATA.ecB_pKO8 = [6 4 7 12 20 13 20 12 19 22 19 16 16 15 7 10 22 13 17 19;...
7 10 17 13 22 25 19 19 23 20 23 22 19 19 26 20 21 15 13 17;...
16 18 24 26 15 16 15 32 25 25 21 26 25 13 13 16 20 16 14 NaN];
% b1/b19: CL 130uE                                                         
DATA.ecC_pKO8 = [4 8 11 9 13 8 12 13 7 11 8 11 10 4 6 11 9 11 3 12;...
8 8 5 8 10 7 12 8 9 10 8 11 10 9 8 11 11 20 13 16;...
10 10 11 18 21 22 16 23 23 19 16 13 20 14 11 12 16 14 15 15];
% sav3: CL 130uE                                                         
DATA.ecD_pKO8 = [8 8 9 11 7 15 19 16 11 12 11 9 8 11 12 16 12 12 16 16;...
 7 5 11 5 5 7 9 7 5 4 7 5 8 9 9 9 11 12 9 15;...
 13 26 31 26 51 44 27 38 55 22 25 21 24 32 23 18 18 41 28 29];
                                                            
%*****************************LD75*******************************                                                            
%----------------------------------------------------                                                            
%Long days light 75uE                                                         
% Col0: LD 75uE              0.66667                                             
DATA.A_pKO5 = [46 59 66 67 73 76 91 90 84 89 91 85 95 94 93 81 69 66 80 70;...
65 94 99 109 123 138 149 158 164 168 166 159 158 158 153 135 121 111 107 104;...
89 118 139 157 175 180 189 189 201 200 202 205 188 174 138 147 126 116 99 74];
% pin35: LD 75uE                                                         
DATA.B_pKO5 = [52 76 80 85 95 95 99 97 101 106 100 107 105 94 91 86 81 76 61 67;...
95 129 145 150 158 178 177 176 185 177 180 161 161 152 130 113 110 89 97 66;...
111 154 180 193 209 229 228 232 236 232 221 208 180 165 144 134 118 97 100 106];
% b1/b19: LD 75uE                                                         
DATA.C_pKO5 = [42 57 61 64 64 69 65 69 70 68 67 65 73 71 70 63 62 64 63 51;...
50 75 84 88 90 95 99 94 91 91 83 77 71 67 63 57 58 73 52 52;...
67 92 111 125 137 143 154 148 139 131 130 131 112 107 99 82 72 63 72 63];
% sav3: LD 75uE             0.66667                                              
DATA.D_pKO5 = [54 68 65 72 83 85 88 90 77 82 81 88 88 88 92 87 91 93 98 91;...
69 94 99 104 110 111 106 110 110 104 96 103 105 103 106 102 101 94 95 89;...
82 123 123 133 141 144 144 147 147 142 131 135 134 131 122 114 111 107 97 94];

%*** Standard deviation                                                          
% Col0: LD 75uE                                                         
DATA.ecA_pKO5 = [8 10 12 4 15 14 18 26 21 21 26 26 37 28 25 22 14 23 21 8;...
8 25 25 19 27 31 28 28 27 35 30 29 28 27 29 23 22 14 1 20;...
21 18 27 20 30 31 42 29 32 26 39 38 42 48 35 31 41 21 7 NaN];
% pin35: LD 75uE                                                         
DATA.ecB_pKO5 = [11 15 22 20 21 14 16 19 19 19 18 23 20 14 10 16 19 20 18 21;...
20 31 27 34 32 35 41 41 38 44 42 37 39 37 22 22 33 12 20 7;...
18 43 44 43 52 48 58 76 45 55 58 68 27 43 45 40 29 16 29 NaN];
% b1/b19: LD 75uE                                                         
DATA.ecC_pKO5 = [6 14 16 13 14 16 13 18 14 12 15 16 21 17 14 10 12 8 14 15;...
10 23 25 26 26 30 34 25 26 26 20 15 14 13 11 11 15 19 6 10;...
11 19 25 27 34 24 15 25 24 29 23 25 21 19 18 20 23 11 26 35];
% sav3: LD 75uE                                                         
DATA.ecD_pKO5 = [6 11 17 12 11 12 16 13 11 16 9 9 12 12 8 9 18 19 6 7;...
8 18 11 19 19 24 19 18 18 16 8 16 18 15 21 19 18 16 12 25;...
14 19 13 26 19 27 21 34 30 18 16 16 16 14 14 17 19 24 27 27];
