function setdata(U)
% function U = getdata;
% returns all possible DATA.xxxx in the global variable DATA
% in the fields of U(i)
% except for the light L(t) and the initial state X(t=0)
%*** parameters:
% DATA		-in-	global structure containing biological and monod params
% U(30,1)	-out-	vector with biological and monod params, except light L(t)

  global DATA;


DATA.uFR = U(1)	 	 ;%relative FR intensity enrichment otherwize FR=1
DATA.ratioRFR = U(2)	 ;% ratio R/FR for half production auxin KSminus
DATA.decayRFR = U(3)	 ;%sigmoid translation
DATA.nRFR = U(4)	 ;%natural R/FR ratio
DATA.Qlight0 = U(5)	 ;%[uE.m-2.s-1] light accumulation. Relation to organe iaa sources 
DATA.Rlight = U(6)	 ;%[umol.m-2.s-1] sigmoid translation iaa degradation by high light
DATA.Klight = U(7)	 ;% Hill cst: growth rate inhibition by light  
DATA.Mtcumul = U(8)	 ;%Time for half auxin production
DATA.A0 = U(9)	  	 ;%initial auxin concentration
DATA.Asens = U(10)	 ;%*1e-6 ;%[g] factor of growth sensitivity to auxin
DATA.mudecay = U(11)	 ;% auxin production [ug/h]  
DATA.nu = U(12)	 	 ;% auxin degradation [e(-nu.t)]
DATA.growthfact = U(13)	 ;%um.h-1 max growth rate
DATA.wtmu = U(14)	 ;%*mu for wildtype (auxin production [ug/h])
DATA.Mtdelay = U(15)	 ;%*delay for Mtcumul
DATA.abcbmu = U(16)	 ;%*mu for abcb (auxin production [ug/h]) not used
DATA.savmu = U(17)	 ;%*mu for sav3 (auxin production [ug/h])
DATA.Dtop = U(18)	 ;% permeability wild type Col0
DATA.remainFR = U(19)	 ;% Used for FR
DATA.abcbDtop = U(20)	 ;% permeability for abcb
DATA.Dbottom = U(21)	 ;% permeability wild type Col0
DATA.pinDbottom = U(22)	 ;% permeability for pin3
DATA.abcbDbottom = U(23) ;% permeability for abcb
DATA.Din = U(24)	 ;% permeability wild type Col0
DATA.pinDin = U(25)	 ;% permeability for pin3
DATA.abcbDin = U(26)	 ;% permeability for abcb
DATA.Dout = U(27)	 ;% permeability wild type Col0
DATA.pinDout = U(28)	 ;% permeability for pin3
DATA.abcbDout = U(29)	 ;% permeability for abcb
DATA.Dcortex = U(30)	 ;% permeability for cortex all sides

   

return;
  
